/**
  * Zambot
  * Zambot | Unlimited Trading | [https://zambot.net](https://zambot.net).
  *
  * The version of the OpenAPI document: 1.0.0
  * Contact: gzambon@gmail.com
  *
  * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
  * https://openapi-generator.tech
  * Do not edit the class manually.
  */

package net.zambot.tracker.model

import java.time.LocalDateTime
import java.util.UUID

import play.api.libs.json._

case class SignalInfo(signalId:UUID, created:LocalDateTime, timestamp: LocalDateTime, start: LocalDateTime,
                     inboundChannelId: Option[String], outboundChannelId: Option[String],
                      lastTimestamp:LocalDateTime, position: Long, sequence:Long, version:Long,
                      data: Map[String, String])

object SignalInfo {
  implicit val format: Format[SignalInfo] = Json.format
}

